/*
 * LALVCSInfo.h.in - LAL VCS Information Header
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or (at
 * your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with with program; see the file COPYING. If not, write to the
 * Free Software Foundation, Inc., 59 Temple Place, Suite 330, Boston,
 * MA 02111-1307 USA
 *
 * Copyright (C) 2009 Adam Mercer
 */

#ifndef _LALVCSINFO_H
#define _LALVCSINFO_H

#include "config.h"

#ifdef __cplusplus
extern "C" {
#endif

/* vcs information defines */
#define LAL_VCS_ID "$Id: 5d6eb33206aef055cf33f2ef752b40468fe833c4 $"
#define LAL_VCS_DATE "$Date: 2009-08-06 17:54:37 +0000 $"
#define LAL_VCS_BRANCH "$Branch: None $"
#define LAL_VCS_TAG "$Tag: lal_lalapps_6_2_release $"
#define LAL_VCS_AUTHOR "$Author: Adam Mercer <adam.mercer@ligo.org> $"
#define LAL_VCS_COMMITTER "$Committer: Adam Mercer <adam.mercer@ligo.org> $"
#define LAL_VCS_STATUS "$Status: CLEAN: All modifications committed $"

/* global variables for vcs information, defined in LALVCSInfo.c */
extern const char *lalVCSVersion;
extern const char *lalVCSId;
extern const char *lalVCSDate;
extern const char *lalVCSBranch;
extern const char *lalVCSTag;
extern const char *lalVCSAuthor;
extern const char *lalVCSCommitter;
extern const char *lalVCSStatus;

/* define vcs information structure */
typedef struct tagLALVCSInfo
{
  const char *version;
  const char *vcsId;
  const char *vcsDate;
  const char *vcsBranch;
  const char *vcsTag;
  const char *vcsAuthor;
  const char *vcsCommitter;
  const char *vcsStatus;
} LALVCSInfo;

/* header and library vcs information structures */
extern struct tagLALVCSInfo lalLibraryVCSInfo;
static struct tagLALVCSInfo lalHeaderVCSInfo = {LAL_VERSION, LAL_VCS_ID, \
  LAL_VCS_DATE, LAL_VCS_BRANCH, LAL_VCS_TAG, LAL_VCS_AUTHOR, \
  LAL_VCS_COMMITTER, LAL_VCS_STATUS};

#ifdef __cplusplus
}
#endif

#endif /* _LALVCSINFO_H */

/*
 * vim: tw=0 ts=2 et
 */
